GetView
curl --request GET \
--url https://api.siftstack.com/api/v1/views/{viewId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.siftstack.com/api/v1/views/{viewId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.siftstack.com/api/v1/views/{viewId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"view": {
"viewId": "<string>",
"name": "<string>",
"axisGroups": {
"left": [
"<string>"
],
"right": [
"<string>"
]
},
"channels": [
{
"name": "<string>",
"component": "<string>",
"dataType": "<string>",
"axisGroup": "<string>",
"bitFieldNames": [
"<string>"
],
"calculatedChannelConfig": {
"channelKey": "<string>",
"channelReferences": {},
"expression": "<string>",
"unit": "<string>"
}
}
],
"createdDate": "2023-11-07T05:31:56Z",
"modifiedDate": "2023-11-07T05:31:56Z",
"createdByUserId": "<string>",
"organizationId": "<string>",
"modifiedByUserId": "<string>",
"isPinned": true
}
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}ViewService
GetView
Retrieves a view.
GET
/
api
/
v1
/
views
/
{viewId}
GetView
curl --request GET \
--url https://api.siftstack.com/api/v1/views/{viewId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.siftstack.com/api/v1/views/{viewId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.siftstack.com/api/v1/views/{viewId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"view": {
"viewId": "<string>",
"name": "<string>",
"axisGroups": {
"left": [
"<string>"
],
"right": [
"<string>"
]
},
"channels": [
{
"name": "<string>",
"component": "<string>",
"dataType": "<string>",
"axisGroup": "<string>",
"bitFieldNames": [
"<string>"
],
"calculatedChannelConfig": {
"channelKey": "<string>",
"channelReferences": {},
"expression": "<string>",
"unit": "<string>"
}
}
],
"createdDate": "2023-11-07T05:31:56Z",
"modifiedDate": "2023-11-07T05:31:56Z",
"createdByUserId": "<string>",
"organizationId": "<string>",
"modifiedByUserId": "<string>",
"isPinned": true
}
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}Was this page helpful?
⌘I